package fr.inria.phoenix.diasuite.framework.context.averageoccupancy;

import java.io.Serializable;

public final class AverageOccupancyValue implements Serializable {
    private static final long serialVersionUID = 0;
    
    private java.util.List<fr.inria.phoenix.diasuite.framework.datatype.parkingoccupancy.ParkingOccupancy> value;
    
    /**
     * Get the value of the context <code>AverageOccupancy</code>
     * 
     * @return the value of the context <code>AverageOccupancy</code>
     */
    public java.util.List<fr.inria.phoenix.diasuite.framework.datatype.parkingoccupancy.ParkingOccupancy> value() {
        return value;
    }
    
    public AverageOccupancyValue(java.util.List<fr.inria.phoenix.diasuite.framework.datatype.parkingoccupancy.ParkingOccupancy> value) {
        this.value = value;
    }
    
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((value == null) ? 0 : value.hashCode());
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        AverageOccupancyValue other = (AverageOccupancyValue) obj;
        if (value == null) {
            if (other.value != null)
                return false;
        } else if (!value.equals(other.value))
            return false;
        return true;
    }
}
